﻿using Infragistics.Windows.Editors;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ComboboxForPossibleValues
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            DataContext = new MainVM();
        }
    }

    public class MainVM
    {
        public MainVM()
        {
            Statuses = new ObservableCollection<int>();
            Statuses.Add(100127);
            Statuses.Add(110127);
            Statuses.Add(120127);
            Statuses.Add(130127);
            Statuses.Add(140127);
            Statuses.Add(150127);
            Statuses.Add(160127);
            Statuses.Add(170127);
            Statuses.Add(180127);
            Statuses.Add(190127);

            Items = new ObservableCollection<CatalogItem>();
            Items.Add(new CatalogItem()
            {
                User = "Ivan",
                Number = 140127,
                Number1 = 140127
            });

            Items.Add(new CatalogItem()
            {
                User = "Petur",
                Number = 180127,
                Number1 = 180127
            });
        }

        public ObservableCollection<CatalogItem> Items { get; set; }
        public ObservableCollection<int> Statuses { get; set; }
    }

    public class NTStatus
    {
        public int Status { get; set; }
    }


    public class CatalogItem
    {
        public string User { get; set; }
        public int Number { get; set; }
        public int Number1 { get; set; }
    }
}
